Skip to main content
GET
/
api
/
v1
/
data
/
task_executions
/
{id.node_execution_id.execution_id.project}
/
{id.node_execution_id.execution_id.domain}
/
{id.node_execution_id.execution_id.name}
/
{id.node_execution_id.node_id}
/
{id.task_id.project}
/
{id.task_id.domain}
/
{id.task_id.name}
/
{id.task_id.version}
/
{id.retry_attempt}
Fetches input and output data for a :ref:`ref_flyteidl.admin.TaskExecution`
curl --request GET \
  --url https://mycluster.domino.tech/api/v1/data/task_executions/{id.node_execution_id.execution_id.project}/{id.node_execution_id.execution_id.domain}/{id.node_execution_id.execution_id.name}/{id.node_execution_id.node_id}/{id.task_id.project}/{id.task_id.domain}/{id.task_id.name}/{id.task_id.version}/{id.retry_attempt}
{
  "inputs": {
    "url": "<string>",
    "bytes": "<string>"
  },
  "outputs": {
    "url": "<string>",
    "bytes": "<string>"
  },
  "full_inputs": {
    "literals": {}
  },
  "full_outputs": {
    "literals": {}
  },
  "flyte_urls": {
    "inputs": "<string>",
    "outputs": "<string>",
    "deck": "<string>"
  }
}

Path Parameters

id.node_execution_id.execution_id.project
string
required

Name of the project the resource belongs to.

id.node_execution_id.execution_id.domain
string
required

Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.

id.node_execution_id.execution_id.name
string
required

User or system provided value for the resource.

id.node_execution_id.node_id
string
required
id.task_id.project
string
required

Name of the project the resource belongs to.

id.task_id.domain
string
required

Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.

id.task_id.name
string
required

User provided value for the resource.

id.task_id.version
string
required

Specific version of the resource.

id.retry_attempt
integer<int64>
required

Query Parameters

id.task_id.resource_type
enum<string>
default:UNSPECIFIED

Identifies the specific type of resource that this identifier corresponds to.

  • DATASET: A dataset represents an entity modeled in Flyte DataCatalog. A Dataset is also a versioned entity and can be a compilation of multiple individual objects. Eventually all Catalog objects should be modeled similar to Flyte Objects. The Dataset entities makes it possible for the UI and CLI to act on the objects in a similar manner to other Flyte objects
Available options:
UNSPECIFIED,
TASK,
WORKFLOW,
LAUNCH_PLAN,
DATASET
id.task_id.org
string

Optional, org key applied to the resource.

id.node_execution_id.execution_id.org
string

Optional, org key applied to the resource.

Response

A successful response.

Response structure for TaskExecutionGetDataRequest which contains inputs and outputs for a task execution.

inputs
object

Represents a string url and associated metadata used throughout the platform.

outputs
object

Represents a string url and associated metadata used throughout the platform.

full_inputs
object

A map of literals. This is a workaround since oneofs in proto messages cannot contain a repeated field.

full_outputs
object

A map of literals. This is a workaround since oneofs in proto messages cannot contain a repeated field.

flyte_urls
object

These URLs are returned as part of node and task execution data requests.